/*
 * Copyright (c) 2015, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

package jdk.nashorn.api.tree;

/**
 * Interface for receiving diagnostics from Nashorn parser.
 *
 * @deprecated Nashorn JavaScript script engine and APIs, and the jjs tool
 * are deprecated with the intent to remove them in a future release.
 *
 * @since 9
 */
@Deprecated(since="11", forRemoval=true)
@FunctionalInterface
public interface DiagnosticListener {
    /**
     * Invoked whenever a parsing problem is found.
     *
     * @param diagnostic additional information errors, warnings detected during parsing.
     */
    void report(Diagnostic diagnostic);
}
